<link rel="stylesheet" href="https://maqueta.diba.cat/v2/assets/css/cookiewarn.css">
<script
  id="cookieScript"
  {% if style is not empty %} data-style="{{ style|raw }}"{% endif %}
  {% if datalang is not empty %}
    {% for lang, text in datalang %}
      data-lang-{{ lang }}="{
        'text': '{{ text.text|raw }}',
        'more_text': '{{ text.more_text|raw }}',
        'more_link': '{{ text.more_link|raw }}',
        'accept_text': '{{ text.accept_text|raw }}',
        'reject_text': '{{ text.reject_text|raw }}'
      }"
    {% endfor %}
  {% endif %}
  data-expire="{{ expire }}"
  type="text/javascript"
  src="https://maqueta.diba.cat/v2/assets/js/cookie-warn/3.2/cookie-warn.js">
</script>
{% if gtm and gtm != 'GTM-XXXXXX' %}
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('consent', 'default', {ad_storage: "{{ default_ad_storage }}", analytics_storage: "{{ default_analytics_storage }}"});
    var cookieWarnCallback = function(accepted) {
      if (accepted) {
        gtag('consent', 'update', {'ad_storage': '{{ accept_ad_storage }}', 'analytics_storage': '{{ accept_analytics_storage }}'});
      }
    };
  </script>
  <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
  new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
  j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
  'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
  })(window,document,'script','dataLayer','{{ gtm }}');</script>
{% endif %}
